summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
authorMiroslav Miklus <mmiklus@cisco.com>2016-06-13 16:56:28 +0200
committerMiroslav Miklus <mmiklus@cisco.com>2016-06-14 14:39:25 +0200
commit12d0d7dee5a59912677dbf79a280c9099e5fd4e3 (patch)
treea29a884b3a972c0a7fee52ec3339becd6ac1e17b /jjb
parentc85048096835665dad1f46fc062521f0871afc44 (diff)
CSIT jobs - branching
- introduce per branch jobs: master, stable/1606 - weekly job to create csit-stable branch - archive artifacts for last 10 jobs Change-Id: Ib3eb7320fad365017d82a5a594123f0c68076151 Signed-off-by: Miroslav Miklus <mmiklus@cisco.com>
Diffstat (limited to 'jjb')
-rw-r--r--jjb/csit/csit-vpp-pylint.yaml4
-rw-r--r--jjb/csit/csit.yaml (renamed from jjb/csit/csit-vpp-functional.yaml)41
-rw-r--r--jjb/csit/include-raw-csit-vpp-verify-weekly.sh7
3 files changed, 30 insertions, 22 deletions
diff --git a/jjb/csit/csit-vpp-pylint.yaml b/jjb/csit/csit-vpp-pylint.yaml
index fb9fb2740..dda7176ea 100644
--- a/jjb/csit/csit-vpp-pylint.yaml
+++ b/jjb/csit/csit-vpp-pylint.yaml
@@ -2,13 +2,13 @@
name: csit-validate
jobs:
- - 'csit-validate-pylint'
+ - 'csit-validate-pylint-master'
project: 'csit'
branch: 'master'
- job-template:
- name: 'csit-validate-pylint'
+ name: 'csit-validate-pylint-master'
project-type: freestyle
node: verify
diff --git a/jjb/csit/csit-vpp-functional.yaml b/jjb/csit/csit.yaml
index 05cff3412..5e4a943e0 100644
--- a/jjb/csit/csit-vpp-functional.yaml
+++ b/jjb/csit/csit.yaml
@@ -1,20 +1,30 @@
- project:
- name: csit-vpp-functional
- description: 'Run VPP functional tests on VIRL.'
+ name: csit
+ description: 'CSIT jenkins jobs.'
jobs:
- - 'csit-vpp-perf-hw-{type}'
- - 'csit-vpp-functional-virl'
- - 'csit-vpp-verify-weekly'
+ - 'csit-vpp-perf-{stream}-{type}'
+ - 'csit-vpp-functional-{stream}-virl'
+ - 'csit-vpp-verify-master-weekly'
- 'csit-vpp-master-verify-semiweekly'
project: 'csit'
branch: 'master'
+ branch-id: 'master'
+ build-artifact-num-to-keep: 10
type:
- all
+ - long
+ stream:
+ - master:
+ branch: 'master'
+ branch-id: 'master'
+ - '1606':
+ branch: 'stable/1606'
+ branch-id: 'stable1606'
- job-template:
- name: 'csit-vpp-functional-virl'
+ name: 'csit-vpp-functional-{stream}-virl'
project-type: freestyle
node: verify
@@ -61,7 +71,7 @@
output-path: ''
- job-template:
- name: 'csit-vpp-perf-hw-{type}'
+ name: 'csit-vpp-perf-{stream}-{type}'
project-type: freestyle
node: verify
@@ -233,8 +243,8 @@
xpath: '//*[@framesize="78" and contains(@tags,"PDR") and @workerthreads="4"]'
- job-template:
- name: 'csit-vpp-verify-weekly'
- description: 'Purpose of this job is to validate CSIT code against verified vpp build and apply csit-verified tag in case of success.'
+ name: 'csit-vpp-verify-master-weekly'
+ description: 'Purpose of this job is to validate CSIT code against verified vpp build and create csit-verified branch in case of success.'
project-type: freestyle
node: verify
@@ -255,7 +265,7 @@
scm:
- git-scm:
credentials-id: '{ssh-credentials}'
- branch: 'master'
+ branch: '{branch}'
wrappers:
- ssh-agent-credentials:
@@ -273,21 +283,24 @@
builders:
- shell:
!include-raw-escape jjb/csit/include-raw-csit-vpp-verify-weekly.sh
+ - shell: 'echo "DATE=`date +%Y-%m-%d`" > $WORKSPACE/variables.prop'
+ - inject:
+ properties-file: variables.prop
publishers:
- archive-artifacts:
- artifacts: 'csit/report.html, csit/log.html, csit/output.xml'
+ artifacts: 'report.html, log.html, output.xml'
latest-only: false
- robot-report:
- output-path: 'csit'
-
+ output-path: ''
- git:
push-only-if-success: true
branches:
- branch:
remote: origin
- name: 'csit-verified-`date +%y%m%d`'
+ name: 'csit-verified-{branch-id}-$DATE'
+
- job-template:
name: 'csit-vpp-master-verify-semiweekly'
diff --git a/jjb/csit/include-raw-csit-vpp-verify-weekly.sh b/jjb/csit/include-raw-csit-vpp-verify-weekly.sh
index 671993387..3c74c349b 100644
--- a/jjb/csit/include-raw-csit-vpp-verify-weekly.sh
+++ b/jjb/csit/include-raw-csit-vpp-verify-weekly.sh
@@ -1,11 +1,6 @@
#!/bin/bash
set -xeu -o pipefail
-# Clone csit and start tests
-git clone https://gerrit.fd.io/r/csit --branch master
-
-cd csit
-
# execute csit bootstrap script if it exists
if [ -e bootstrap-vpp-verify-weekly.sh ]
then
@@ -14,7 +9,7 @@ then
# run the script
./bootstrap-vpp-verify-weekly.sh
else
- echo 'ERROR: No bootstrap-verify-master.sh found'
+ echo 'ERROR: No bootstrap-vpp-verify-weekly.sh found'
exit 1
fi